NOLIST
; *******************************************
; * ASM Definition file for Swordfish BASIC *
; *******************************************
LIST

; special function registers...
OVDCONS          EQU 0x0F82
OVDCOND          EQU 0x0F83
DTCON            EQU 0x0F84
PWMCON1          EQU 0x0F85
PWMCON0          EQU 0x0F86
SEVTCMPH         EQU 0x0F87
SEVTCMPLH        EQU 0x0F87
SEVTCMPL         EQU 0x0F88
LATA             EQU 0x0F89
LATB             EQU 0x0F8A
FLTCONFIG        EQU 0x0F8B
PDC2H            EQU 0x0F8C
PDC2LH           EQU 0x0F8C
PDC2L            EQU 0x0F8D
PDC1H            EQU 0x0F8E
PDC1LH           EQU 0x0F8E
PDC1L            EQU 0x0F8F
PDC0H            EQU 0x0F90
PDC0LH           EQU 0x0F90
PDC0L            EQU 0x0F91
DDRA             EQU 0x0F92
TRISA            EQU 0x0F92
DDRB             EQU 0x0F93
TRISB            EQU 0x0F93
PTPERH           EQU 0x0F95
PTPERLH          EQU 0x0F95
PTPERL           EQU 0x0F96
PTMRH            EQU 0x0F97
PTMRLH           EQU 0x0F97
PTMRL            EQU 0x0F98
PTCON1           EQU 0x0F99
PTCON0           EQU 0x0F9A
OSCTUNE          EQU 0x0F9B
PIE1             EQU 0x0F9D
PIR1             EQU 0x0F9E
IPR1             EQU 0x0F9F
PIE2             EQU 0x0FA0
PIR2             EQU 0x0FA1
IPR2             EQU 0x0FA2
PIE3             EQU 0x0FA3
PIR3             EQU 0x0FA4
IPR3             EQU 0x0FA5
EECON1           EQU 0x0FA6
EECON2           EQU 0x0FA7
EEDATA           EQU 0x0FA8
EEADR            EQU 0x0FA9
RCSTA            EQU 0x0FAB
TXSTA            EQU 0x0FAC
TXREG            EQU 0x0FAD
RCREG            EQU 0x0FAE
SPBRG            EQU 0x0FAF
SPBRGH           EQU 0x0FB0
CMCON            EQU 0x0FB4
CVRCON           EQU 0x0FB5
BAUDCON          EQU 0x0FB8
BAUDCTL          EQU 0x0FB8
ADCON2           EQU 0x0FC0
ADCON1           EQU 0x0FC1
ADCON0           EQU 0x0FC2
ADRES            EQU 0x0FC3
ADRESL           EQU 0x0FC3
ADRESLH          EQU 0x0FC4
ADRESH           EQU 0x0FC4
T1CON            EQU 0x0FCD
TMR1             EQU 0x0FCE
TMR1L            EQU 0x0FCE
TMR1LH           EQU 0x0FCF
TMR1H            EQU 0x0FCF
RCON             EQU 0x0FD0
WDTCON           EQU 0x0FD1
LVDCON           EQU 0x0FD2
OSCCON           EQU 0x0FD3
T0CON            EQU 0x0FD5
TMR0             EQU 0x0FD6
TMR0L            EQU 0x0FD6
TMR0LH           EQU 0x0FD7
TMR0H            EQU 0x0FD7
STATUS           EQU 0x0FD8
FSR2L            EQU 0x0FD9
FSR2LH           EQU 0x0FDA
FSR2H            EQU 0x0FDA
PLUSW2           EQU 0x0FDB
PREINC2          EQU 0x0FDC
POSTDEC2         EQU 0x0FDD
POSTINC2         EQU 0x0FDE
INDF2            EQU 0x0FDF
BSR              EQU 0x0FE0
FSR1L            EQU 0x0FE1
FSR1LH           EQU 0x0FE2
FSR1H            EQU 0x0FE2
PLUSW1           EQU 0x0FE3
PREINC1          EQU 0x0FE4
POSTDEC1         EQU 0x0FE5
POSTINC1         EQU 0x0FE6
INDF1            EQU 0x0FE7
WREG             EQU 0x0FE8
FSR0L            EQU 0x0FE9
FSR0LH           EQU 0x0FEA
FSR0H            EQU 0x0FEA
PLUSW0           EQU 0x0FEB
PREINC0          EQU 0x0FEC
POSTDEC0         EQU 0x0FED
POSTINC0         EQU 0x0FEE
INDF0            EQU 0x0FEF
INTCON3          EQU 0x0FF0
INTCON2          EQU 0x0FF1
INTCON           EQU 0x0FF2
PRODL            EQU 0x0FF3
PRODLH           EQU 0x0FF4
PRODH            EQU 0x0FF4
TABLAT           EQU 0x0FF5
TBLPTR           EQU 0x0FF6
TBLPTRL          EQU 0x0FF6
TBLPTRLH         EQU 0x0FF7
TBLPTRH          EQU 0x0FF7
TBLPTRU          EQU 0x0FF8
PC               EQU 0x0FF9
PCL              EQU 0x0FF9
PCLATH           EQU 0x0FFA
PCLATU           EQU 0x0FFB
STKPTR           EQU 0x0FFC
TOS              EQU 0x0FFD
TOSL             EQU 0x0FFD
TOSLH            EQU 0x0FFE
TOSH             EQU 0x0FFE
TOSU             EQU 0x0FFF

; system ports...
PORTA            EQU 0x0F80
PORTB            EQU 0x0F81

; PORTA
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7
AN0 = 0
AN1 = 1
TX = 2
RX = 3
AN2 = 4
MCLR = 5
OSC2 = 6
OSC1 = 7
INT0 = 0
INT1 = 1
CK = 2
; DT = 3
T0CKI = 4
CLKO = 6
CLKI = 7
KBI0 = 0
KBI1 = 1
VREFP = 4
T1OSO_PORTA = 6
T1OSI_PORTA = 7
CMP0 = 0
NOT_MCLR = 5
AN3 = 6
T1CKI_PORTA = 6

; PORTB
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7
PWM0 = 0
PWM1 = 1
INT2 = 2
INT3 = 3
PWM2 = 4
PWM3 = 5
PWM4 = 6
PWM5 = 7
KBI2 = 2
KBI3 = 3
PGC = 6
PGD = 7
CMP2 = 2
CMP1 = 3
T1OSO_PORTB = 2
T1OSI_PORTB = 3
T1CKI_PORTB = 2

; OVDCONS
POUT0 = 0
POUT1 = 1
POUT2 = 2
POUT3 = 3
POUT4 = 4
POUT5 = 5

; OVDCOND
POVD0 = 0
POVD1 = 1
POVD2 = 2
POVD3 = 3
POVD4 = 4
POVD5 = 5

; DTCON
DT0 = 0
DT1 = 1
DT2 = 2
DT3 = 3
DT4 = 4
DT5 = 5
DTPS0 = 6
DTPS1 = 7

; PWMCON1
OSYNC = 0
UDIS = 1
SEVTDIR = 3
SEVOPS0 = 4
SEVOPS1 = 5
SEVOPS2 = 6
SEVOPS3 = 7

; PWMCON0
PMOD0 = 0
PMOD1 = 1
PMOD2 = 2
PWMEN0 = 4
PWMEN1 = 5
PWMEN2 = 6

; LATA
LATA0 = 0
LATA1 = 1
LATA2 = 2
LATA3 = 3
LATA4 = 4
LATA5 = 5
LATA6 = 6
LATA7 = 7

; LATB
LATB0 = 0
LATB1 = 1
LATB2 = 2
LATB3 = 3
LATB4 = 4
LATB5 = 5
LATB6 = 6
LATB7 = 7

; FLTCONFIG
FLTAEN = 0
FLTAMOD = 1
FLTAS = 2
BRFEN = 7

; DDRA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; TRISA
TRISA0 = 0
TRISA1 = 1
TRISA2 = 2
TRISA3 = 3
TRISA4 = 4
TRISA5 = 5
TRISA6 = 6
TRISA7 = 7
RA0 = 0
RA1 = 1
RA2 = 2
RA3 = 3
RA4 = 4
RA5 = 5
RA6 = 6
RA7 = 7

; DDRB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; TRISB
TRISB0 = 0
TRISB1 = 1
TRISB2 = 2
TRISB3 = 3
TRISB4 = 4
TRISB5 = 5
TRISB6 = 6
TRISB7 = 7
RB0 = 0
RB1 = 1
RB2 = 2
RB3 = 3
RB4 = 4
RB5 = 5
RB6 = 6
RB7 = 7

; PTCON1
PTDIR = 6
PTEN = 7

; PTCON0
PTMOD0 = 0
PTMOD1 = 1
PTCKPS0 = 2
PTCKPS1 = 3
PTOPS0 = 4
PTOPS1 = 5
PTOPS2 = 6
PTOPS3 = 7

; OSCTUNE
PLLEN = 6
INTSRC = 7
TUN0 = 0
TUN1 = 1
TUN2 = 2
TUN3 = 3
TUN4 = 4

; PIE1
TMR1IE = 0
CMP0IE = 1
CMP1IE = 2
CMP2IE = 3
TXIE = 4
RCIE = 5
ADIE = 6

; PIR1
TMR1IF = 0
CMP0IF = 1
CMP1IF = 2
CMP2IF = 3
TXIF = 4
RCIF = 5
ADIF = 6

; IPR1
TMR1IP = 0
CMP0IP = 1
CMP1IP = 2
CMP2IP = 3
TXIP = 4
RCIP = 5
ADIP = 6

; PIE2
LVDIE = 2
EEIE = 4
OSCFIE = 7

; PIR2
LVDIF = 2
EEIF = 4
OSCFIF = 7

; IPR2
LVDIP = 2
EEIP = 4
OSCFIP = 7

; PIE3
PTIE = 4

; PIR3
PTIF = 4

; IPR3
PTIP = 4

; EECON1
RD = 0
WR = 1
WREN = 2
WRERR = 3
FREE = 4
CFGS = 6
EEPGD = 7

; RCSTA
RX9D = 0
OERR = 1
FERR = 2
ADEN = 3
CREN = 4
SREN = 5
RX9 = 6
SPEN = 7
ADDEN = 3

; TXSTA
TX9D = 0
TRMT = 1
BRGH = 2
SENDB = 3
SYNC = 4
TXEN = 5
TX9 = 6
CSRC = 7

; CMCON
C0OUT = 5
C1OUT = 6
C2OUT = 7
CMEN0 = 0
CMEN1 = 1
CMEN2 = 2

; CVRCON
CVRSS = 4
CVRR = 5
CVREN = 7
CVR0 = 0
CVR1 = 1
CVR2 = 2
CVR3 = 3
CVREF = 4

; BAUDCON
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
RCMT = 6

; BAUDCTL
ABDEN = 0
WUE = 1
BRG16 = 3
TXCKP = 4
RXDTP = 5
RCIDL = 6
ABDOVF = 7
SCKP = 4
RCMT = 6

; ADCON2
ADFM = 7
ADCS0 = 0
ADCS1 = 1
ADCS2 = 2
ACQT0 = 3
ACQT1 = 4
ACQT2 = 5

; ADCON1
VCFG = 4
PCFG0 = 0
PCFG1 = 1
PCFG2 = 2
PCFG3 = 3
VCFG0 = 4

; ADCON0
ADON = 0
GO_NOT_DONE = 1
SEVTEN = 7
GO = 1
CHS0 = 2
CHS1 = 3
DONE = 1
NOT_DONE = 1
GO_DONE = 1

; T1CON
TMR1ON = 0
TMR1CS = 1
NOT_T1SYNC = 2
T1OSCEN = 3
T1RUN = 6
RD16 = 7
T1CKPS0 = 4
T1CKPS1 = 5
T1SYNC = 2

; RCON
NOT_BOR = 0
NOT_POR = 1
NOT_PD = 2
NOT_TO = 3
NOT_RI = 4
SBOREN = 6
IPEN = 7
BOR = 0
POR = 1
PD = 2
TO = 3
RI = 4

; WDTCON
SWDTEN = 0
SWDTE = 0

; LVDCON
LVDEN = 4
IRVST = 5
LVDL0 = 0
LVDL1 = 1
LVDL2 = 2
LVDL3 = 3
IVRST = 5

; OSCCON
IOFS = 2
OSTS = 3
IDLEN = 7
SCS0 = 0
SCS1 = 1
FLTS = 2
IRCF0 = 4
IRCF1 = 5
IRCF2 = 6

; T0CON
PSA = 3
T0SE = 4
T0CS = 5
T016BIT = 6
TMR0ON = 7
T0PS0 = 0
T0PS1 = 1
T0PS2 = 2
T08BIT = 6

; STATUS
C = 0
DC = 1
Z = 2
OV = 3
N = 4

; INTCON3
INT1IF = 0
INT2IF = 1
INT3IF = 2
INT1IE = 3
INT2IE = 4
INT3IE = 5
INT1IP = 6
INT2IP = 7
INT1F = 0
INT2F = 1
INT3F = 2
INT1E = 3
INT2E = 4
INT3E = 5
INT1P = 6
INT2P = 7

; INTCON2
RBIP = 0
INT3IP = 1
TMR0IP = 2
INTEDG3 = 3
INTEDG2 = 4
INTEDG1 = 5
INTEDG0 = 6
NOT_RBPU = 7
INT3P = 1
RBPU = 7

; INTCON
RBIF = 0
INT0IF = 1
TMR0IF = 2
RBIE = 3
INT0IE = 4
TMR0IE = 5
PEIE_GIEL = 6
GIE_GIEH = 7
INT0F = 1
T0IF = 2
INT0E = 4
T0IE = 5
PEIE = 6
GIE = 7
GIEL = 6
GIEH = 7

; STKPTR
STKUNF = 6
STKFUL = 7
SP0 = 0
SP1 = 1
SP2 = 2
SP3 = 3
SP4 = 4
STKOVF = 7

; LIST
